Subject: Re: Fw: problem with new-cygwinb19.dll
From: [email-masked] (Christopher G. Faylor)

10 Jun 1998 20:52:11 GMT
Message-ID: <[email-masked]>
References: <[email-masked]>
X-Newsreader: trn 4.0-test63 (15 March 1998)

In article <[email-masked]>,
Michael C. Polinske <[email-masked]> wrote:
>E:\Cygnus\B19\H-i386-cygwin32\bin>copy new-cygwinb19.dll cygwinb19.dll
>E:\Cygnus\B19\H-i386-cygwin32\bin\new-cygwinb19.dll => E:\Cygnus\B19\H-i386-cygw
>in32\bin\cygwinb19.dll
>     1 file copied
> 
>E:\Cygnus\B19\H-i386-cygwin32\bin>bash
>( 1000) Exception: STATUS ACCESS VIOLATION
>( 1000) Dumping stack trace to .core
> 
>Here is the output in the .core file:
>( 1000) Exception trapped!
>( 1000) exception C0000005 at 10008E09
>( 1000) exception: ax BFF7B9A6 bx E4 cx 10000 dx DC
>( 1000) exception: si 258FACC di 0 bp 258FC2C sp 258F978
>( 1000) exception is: STATUS ACCESS VIOLATION
>( 1000) Stack trace:
>( 1000) frame 0: sp = 0x258F68C, pc = 0x1000A250
>( 1000) frame 1: sp = 0x258F7B0, pc = 0xBFF76841
>( 1000) frame 2: sp = 0x258F7D4, pc = 0xBFF87F0F
>( 1000) frame 3: sp = 0x258F868, pc = 0xFFECBAD7
>( 1000) frame 4: sp = 0x258FC2C, pc = 0x1000914F
>( 1000) frame 5: sp = 0x258FC54, pc = 0x1001B274
>( 1000) frame 6: sp = 0x258FCAC, pc = 0x10006782
>( 1000) frame 7: sp = 0x258FE0C, pc = 0x10006B9C
>( 1000) frame 8: sp = 0x258FE18, pc = 0x44FF3D
>( 1000) frame 9: sp = 0x258FE28, pc = 0x40103A
>( 1000) frame 10: sp = 0x258FE38, pc = 0xBFF8B483
>( 1000) frame 11: sp = 0x258FF78, pc = 0xBFF8B335
>( 1000) frame 12: sp = 0x258FFF4, pc = 0xBFF89CF8
>( 1000) frame 13: sp = 0x83930FEC, pc = 0x0
>( 1000) End of stack trace
>
>When I use the old B19.0 cygwinb19.dll file I am able to run bash.  I
>did add CYGWIN32=tty binmode to the cygnus.bat file per some article I
>saw in the archives to get ncurses to compile.

Setting CYGWIN32 is the problem.  Try downloading the cygwinb19.dll from
Sergey's web page:

		http://www.lexa.ru/sos

That should solve your problem.
-- 
[email-masked]             "Everything has a boolean value, if you stand
http://www.cygnus.com/      far enough away from it."  -- Galena Alyson Canada